Link work items to customer ​
POST/api/v1/workspaces/{workspace_slug}/customers/{customer_id}/issues/
Link one or more issues to a customer, optionally within a specific customer request.
Path Parameters ​
customer_id:requiredstringThe unique identifier of the customer.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Body Parameters ​
issue_ids:requiredarrayArray of issue IDs to link
Scopes ​
customers.work_items:write
Link work items to customer
bash
curl -X POST \
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/issues/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"issue_ids": [
"550e8400-e29b-41d4-a716-446655440000"
]
}'python
import requests
response = requests.post(
"https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/issues/",
headers={"X-API-Key": "your-api-key"},
json={
"issue_ids": [
"550e8400-e29b-41d4-a716-446655440000"
]
}
)
print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/issues/", {
method: "POST",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
issue_ids: ["550e8400-e29b-41d4-a716-446655440000"],
}),
});
const data = await response.json();Response201
json
{
"detail": "Issues linked successfully"
}
